Author Topic: WWLAN Extender Errors on Windows 2016 Server  (Read 121 times)

BernardDG

  • Newbie
  • *
  • Posts: 2
WWLAN Extender Errors on Windows 2016 Server
« on: July 18, 2019, 02:56:40 pm »
Hi, getting an error using WWLAN extender - it works fine on Windows 10 and Windows 7 OS - but when it executes on a 2016 Server (still should be windows version 10+ - and I have verified this using winver) an error message displays "This extender requires Windows XP SP3 or newer."

Code looks like this:
AddExtender('WWLAN44I.DLL',0,'WWLAN64I.DLL')
               
; Open an extender session handle
wlHandle = wlClientOpen()
If wlHandle == "" Then
Exit
EndIf

Thanks in advance for any assistance.

td

  • Tech Support
  • *****
  • Posts: 3017
    • WinBatch
Re: WWLAN Extender Errors on Windows 2016 Server
« Reply #1 on: July 18, 2019, 03:11:52 pm »
The error message is deceptive but the problem is not the version of the OS.   You are getting the error because your Windows 2016 system does not have the native Wi-Fi dlls installed.  Generally, servers require the manual installation of a lot of OS components.  This is both to keep the OS footprint as small as possible and to make the OS more secure. 
"No one who sees a peregrine falcon fly can ever forget the beauty and thrill of that flight."
  - Dr. Tom Cade

td

  • Tech Support
  • *****
  • Posts: 3017
    • WinBatch
Re: WWLAN Extender Errors on Windows 2016 Server
« Reply #2 on: July 19, 2019, 07:44:03 am »
On Windows 2019 you can install the Wireless Lan Service feature to enable Native Wi-Fi support and get the appropriate dlls installed.   Assuming the same is true on Windows 2016.
"No one who sees a peregrine falcon fly can ever forget the beauty and thrill of that flight."
  - Dr. Tom Cade

BernardDG

  • Newbie
  • *
  • Posts: 2
Re: WWLAN Extender Errors on Windows 2016 Server
« Reply #3 on: July 19, 2019, 08:01:13 am »
Thanks - appreciate the feedback - I'll update the code to recognize the server role and skip the wifi checks.